-- Globals for pack addons
BWP_pack= {};
BWP_longName= {};
BWP_className= {};

function BuffWarn_addPack(pack)
	if(not BWP_pack[pack][1]) then return; end
	local spec=BuffWarn_GetTalentSpec();
	local localizedClass, englishClass = UnitClass("player");
		if(localizedClass~=BWP_className[pack] and BWP_className[pack]~="ANY") then
			BuffWarn_cfOut("Pack Error: You are not the correct class ["..BWP_className[pack].."] ["..pack.."]");
			return;
		end

	BuffWarn_cfOut("Adding BuffWarn pack ["..pack.."]");

	for i=1,#BWP_pack[pack] do
	local g={ strsplit(",",BWP_pack[pack][i]) };
		if (#g>=7) then
			if(not BuffWarn_aliasExists(g[2])) then  --{
				if(spec==g[1] or g[1]=="ANY") then
					BuffWarn_Command(g[2]..","..g[3]..","..g[4]..","..g[5]..","..g[6]..","..g[7]);
					BuffWarn_cfOut("Adding "..g[2].." ["..pack.."]");
				else
					BuffWarn_cfOut("Skipping "..g[2].." because you aren't specced "..g[1].." ["..pack.."]");
				end
			else
				BuffWarn_cfOut("Skipping "..g[2].." because the alias exists ["..pack.."]");
			end --}
		else
			BuffWarn_cfOut("Pack Error: Not enough arguments ["..pack.."]");
			break;
		end
	end

	local a=pack;
	if(BWP_longName[pack]) then a=BWP_longName[pack]; end
		BuffWarn_cfOut(a.." was added! It can now be deleted or disabled.");
end

function BuffWarn_GetTalentSpec()
	local numTabs = GetNumTalentTabs();
	local arr={};
	for t=1, numTabs do
		arr[t]={};
		arr[t][1]=GetTalentTabInfo(t);
		if(not arr[t][2]) then arr[t][2]=0; end
	    local numTalents = GetNumTalents(t);
	    for i=1, numTalents do
	        nameTalent, icon, tier, column, currRank, maxRank= GetTalentInfo(t,i);
			arr[t][2]=arr[t][2]+currRank;
	    end
	end
	local spec=1;

	if(arr[1][2]>arr[2][2] and arr[1][2]>arr[3][2]) then 
		spec=1; 
	elseif(arr[2][2]>arr[1][2] and arr[2][2]>arr[3][2]) then 
		spec=2;
	elseif(arr[3][2]>arr[1][2] and arr[3][2]>arr[2][2]) then 
		spec=3;
	end

	return arr[spec][1];
end