BuffWarn_options={};
BuffWarn_timerDelay=2;
BuffWarn_pause="off";
BuffWarn_crit="";
BuffWarn_mTarget=nil;
BuffWarn_keybind=nil;
BuffWarn_bwtext="0";

local BuffWarn_lastPauseWarn=nil;
local BuffWarn_delay=0;
local totalElapsed = 0.0;
local BuffWarn_filter=nil;

function BuffWarn_IsMounted()
 if CanExitVehicle() or IsMounted() then return 1 else return nil end
end

function BuffWarn_Timer(self, elapsed)
  totalElapsed = totalElapsed + elapsed;
  if (BuffWarn_pause=="on") then
	if(not BuffWarn_lastPauseWarn) then
		BuffWarn_cfOut("is paused");
		BuffWarn_lastPauseWarn=GetTime();
	else
		if((GetTime()-BuffWarn_lastPauseWarn)>60) then
			BuffWarn_cfOut("is paused");
			BuffWarn_lastPauseWarn=GetTime();
		end
	end
  end
  if (BuffWarn_pause=="on" or UnitOnTaxi("player") or UnitIsDeadOrGhost("player")) then return; end
  if (totalElapsed < tonumber(BuffWarn_timerDelay)) then return; end
  if(BuffWarn_bwtext) then BuffWarn_CombatText:Hide(); end

  totalElapsed = totalElapsed - floor(totalElapsed);

for k=1,#BuffWarn_options do

  local bAlias=BuffWarn_options[k][1];
  local bName=BuffWarn_options[k][2];
  local bCount=BuffWarn_options[k][3];
  local bOption=BuffWarn_options[k][4];
  local bCombat=BuffWarn_options[k][5];
  local bRaid=BuffWarn_options[k][6];
  local bTar=nil;
  local bFilter=nil;
  local skip=nil;

	if(bAlias) then
		if(strfind(bAlias,"++")) then
			local ar={ strsplit("++",bAlias) };
			bAlias=ar[1];
			bFilter=string.gsub(ar[3],"_"," ");
		end
	else
		skip=1;
	end

	if(bFilter and bFilter~=BuffWarn_filter and bAlias) then skip=1; end --not in the filter skip
	if(not skip) then --{

  if(#BuffWarn_options[k]>=7) then 
	if(not BuffWarn_mTarget) then
		BuffWarn_cfOut("Main Target is not set type /bw tar <target>");
	else
		bTar=BuffWarn_mTarget;
		if(not UnitInRange(bTar)) then BuffWarn_cfOut(bTar.." is out of range"); bTar=nil; end
	end
  end

 if(bCombat) then
  local goCombat = nil;
  local goName = nil;
  local goRaid = nil;
  local goCount = 0;
  local isInCombat=UnitAffectingCombat("player");
  local isDebuff="";

  if (isInCombat and bCombat=="COMBAT" and not IsMounted()) then goCombat=1; end
  if (not isInCombat and bCombat=="NOCOMBAT") then goCombat=1; end
  if (BuffWarn_IsMounted() and bCombat=="MOUNTED") then goCombat=1; end
  if (not BuffWarn_IsMounted() and bCombat=="NOMOUNT") then goCombat=1; end
  if (bCombat=="ANY") then goCombat=1; end

  if (GetNumRaidMembers() and bRaid=="RAID") then goRaid=1; end
  if (GetNumPartyMembers() and bRaid=="PARTY") then goRaid=1; end
  if (GetNumPartyMembers()==0 and not GetNumRaidMembers()==0 and bRaid=="ALONE") then goRaid=1; end
  if (bRaid=="ANY") then goRaid=1; end

   if(bCount=="c0") then
	local st, dr, en = GetSpellCooldown(bName);
	if(dr==0) then
		goName=1;
	end
   elseif(strsub(bCount,1,1)=="d") then
	for i=1,40 do 
		local d, rank, iconTexture, count, debuffType, duration, timeLeft=UnitDebuff("player",i);
		 if(d) then
			local b=BuffWarn_matchConditions(bName, d, strsub(bCount,2), count, timeLeft);
				goCount=b.goCount;
				goName=b.goName;
				bCount=strsub(bCount,2);
				isDebuff="\124cffff0000[Debuff] ";
			if(b.goBreak) then break; end
		 end
	end
   elseif(bName=="MANA") then
--UnitMana
   elseif(strsub(bName,1,1)==">") then --weapon enchant main hand
	local wepMHBuff=GetCurrentItemEnchant(16);
	if(wepMHBuff==strsub(bName,2)) then	
	 goName=1;
	 bName=strsub(bName,2);
	end
   elseif(strsub(bName,1,1)=="<") then --weapon enchant off hand
	local wepOHBuff=GetCurrentItemEnchant(17);
	if(wepOHBuff==strsub(bName,2)) then
	 goName=1;
	 bName=strsub(bName,2);
	end
   else --{
    for i=1,40 do 
		local name, rank, icon, count, debuffType, duration, expirationTime, isMine, isStealable;
		if(bTar) then
			name, rank, icon, count, debuffType, duration, expirationTime, isMine, isStealable=UnitBuff(bTar, i);
		else
			name, rank, icon, count, debuffType, duration, expirationTime, isMine, isStealable=UnitBuff("player", i);
		end
		if(name) then

		local b=BuffWarn_matchConditions(bName, name, bCount, count, expirationTime);
			goCount=b.goCount;
			goName=b.goName;

		if(b.goBreak) then break; end

		end --end isname
	end --end for i

	if(not goName) then
	local auras = GetNumShapeshiftForms();
	for i=1, auras do
		local aIcon, aName, aActive = GetShapeshiftFormInfo(i);
		if (aActive) then

			if(strfind(bName,"*")) then --{
				local arr= { strsplit("*",bName) };
				local arrK=1;
				for az=1,#arr do
				 if(arr[az]~="") then
					if(strfind(aName,arr[az])) then 
						arrK=1;
					else
						arrK=nil;
						break;
					end
				 end
				end

				if(arrK) then bName=aName; end
			end --}


			if (string.upper(aName)==string.upper(bName)) then 
			 goName=1;	
			 break;
			end
		end --aura
	end --end for i
	end --end not goName
   end --} end wep enchant check

		if(strsub(bName,1,1)=="<") then bName="[offhand]"..strsub(bName,2); end
		if(strsub(bName,1,1)==">") then bName="[mainhand]"..strsub(bName,2); end

--[[/* beginning to prepare for localization when I learn more about it
BUFFWARN_LCL_LESS_THAN="has less than";
BUFFWARN_LCL_MORE_THAN="has more than";
BUFFWARN_LCL_SECONDS="sec(s) to go";
BUFFWARN_LCL_REACHED="has reached";
BUFFWARN_LCL_ON="ON";
BUFFWARN_LCL_OFF="OFF";
*/]]--
		local strTar="";
	if(bTar) then strTar=" \124cffffffff"..bTar; end
	if (not goName and goCombat and bOption=="OFF" and tostring(bCount)=="0" and goRaid) then --fire warning
		if(not isInCombat and BuffWarn_keybind) then SetBindingSpell(BuffWarn_keybind, bName); end
		BuffWarn_ctOut("\124cffff8000"..bName.."\124cffffff00".." is \124cffff0000OFF"..strTar);
	elseif (goName and goCombat and bOption=="ON" and tostring(bCount)=="0" and goRaid) then --fire warning
		if(not isInCombat and BuffWarn_keybind) then SetBindingSpell(BuffWarn_keybind, bName); end
		BuffWarn_ctOut("\124cffff8000"..bName.."\124cffffff00".." is \124cff00ff00ON"..strTar);
	elseif (goName and goCombat and tostring(bCount)=="c0" and goRaid) then --fire warning
		if(not isInCombat and BuffWarn_keybind) then SetBindingSpell(BuffWarn_keybind, bName); end
		BuffWarn_ctOut("\124cffff8000"..bName.."\124cffffff00".." is \124cff00ff00Available"..strTar);
	elseif (goName and goCombat and tostring(bCount)=="d0" and goRaid) then --fire warning
		if(not isInCombat and BuffWarn_keybind) then SetBindingSpell(BuffWarn_keybind, bName); end
		BuffWarn_ctOut("\124cffff0000[Debuff] \124cffff8000"..bName.."\124cffffff00".." is \124cff00ff00ON"..strTar);
	elseif (goName and goCombat and bOption=="ON" and goCount==1 and goRaid) then --fire warning
		if (strsub(bCount,1,1)=="<") then
			BuffWarn_ctOut(isDebuff.."\124cffff8000"..bName.."\124cffffff00".." has less than \124cff00ffff"..strsub(bCount,2).."\124cffffff00 sec(s) to go");
		elseif (strsub(bCount,1,1)==">") then
			BuffWarn_ctOut(isDebuff.."\124cffff8000"..bName.."\124cffffff00".." has more than \124cff00ffff"..strsub(bCount,2).."\124cffffff00 sec(s) to go");
		else
			if(not isInCombat and BuffWarn_keybind) then SetBindingSpell(BuffWarn_keybind, bName); end
			BuffWarn_ctOut("\124cffff8000"..bName.."\124cffffff00".." has reached \124cff00ffff"..bCount);
		end
	end
 end --end bCombat
	end -- } end filter check
end --end for k



end

function BuffWarn_matchConditions(bName, name, bCount, count,expirationTime) --{
	local zArr={};
		zArr.goName=nil;
		zArr.goCount=nil;
		zArr.goBreak=nil;

			if(strfind(bName,"*")) then --{
				local arr= { strsplit("*",bName) };
				local arrK=1;
				for az=1,#arr do
				 if(arr[az]~="") then
					if(strfind(string.upper(name),string.upper(arr[az]))) then 
						arrK=1;
					else
						arrK=nil;
						break;
					end
				 end
				end

				if(arrK) then bName=name; end
			end --}

			if (string.upper(name)==string.upper(bName)) then --{
			 zArr.goName=1;
	 		  if (tostring(count)==tostring(bCount)) then --{
			   zArr.goCount=1; 
			  elseif (strfind(bCount,"-")) then --less than duration } {
				local abc={ strsplit("-",bCount) };
				if (strsub(abc[1],1,1)==">" and strsub(abc[2],1,1)=="<") then --less than/more than duration
					local nDur=(expirationTime - GetTime());
					if(nDur>tonumber(strsub(abc[1],2)) and nDur<tonumber(strsub(abc[2],2))) then
						zArr.goCount=1;
					end
				end
			  elseif (strsub(bCount,1,1)=="<") then --more than duration } {
				if(expirationTime) then 
					local nDur=(expirationTime - GetTime());
					if(nDur<tonumber(strsub(bCount,2))) then
						zArr.goCount=1;
					end
				end
			  elseif (strsub(bCount,1,1)==">") then --less than duration } {
				if(expirationTime) then 
					local nDur=(expirationTime - GetTime());
					if(nDur>tonumber(strsub(bCount,2))) then
						zArr.goCount=1;
					end
				end
			  end  --}
			 zArr.goBreak=1;
			end  --}

	return zArr
end --}

function BuffWarn_OnLoad()
 SLASH_BUFFWARN1 = "/buffwarn";
 SLASH_BUFFWARN2 = "/bw";
 SlashCmdList["BUFFWARN"] = BuffWarn_Command;
 BuffWarn_cfOut("Loaded");
 BuffWarn_cfOut("for more info type /bw help");

	BuffWarn_filter = GetZoneText(); --set for zone filtering

	local frame = CreateFrame("Frame", "BuffWarn_OnUpdateFrame");
	frame:SetScript("OnUpdate", BuffWarn_Timer);
	frame:Show();

end

function BuffWarn_OnEvent(self,event)
  if(event=="ZONE_CHANGED_NEW_AREA") then
	BuffWarn_filter = GetZoneText();
  end
end

function BuffWarn_bwOut(str)
	BuffWarn_CombatText:Show();
	BuffWarn_CombatText1:SetTextHeight(tonumber(BuffWarn_bwtext));
	BuffWarn_CombatText1:SetText(str);
end

function BuffWarn_ctOut(str)
	local nStr="<BuffWarn> "..str;
	if (BuffWarn_bwtext~="" and BuffWarn_bwtext~="0") then
		BuffWarn_bwOut(nStr);
	elseif( IsAddOnLoaded("sct") ) then
		local ic=nil;
		if(BuffWarn_crit=="crit") then ic=1; end
		SCT:DisplayText(nStr, { r=1,g=0,b=1 }, ic, "event", 1)
	elseif( IsAddOnLoaded("MikScrollingBattleText") ) then
		MikSBT.DisplayMessage(nStr, MikSBT.DISPLAYTYPE_NOTIFICATION, false, 255, 0, 1)		
	elseif( IsAddOnLoaded("Parrot") ) then
		Parrot:ShowMessage(nStr, nil, nil, 1, 0, 1)
	elseif (IsAddOnLoaded("Blizzard_CombatText")) then
		CombatText_AddMessage(nStr,CombatText_StandardScroll,1,0,1,BuffWarn_crit);
	else
		BuffWarn_cfOut(nStr.." (enable floating combat text)");
	end
	BuffWarn_delay=GetTime();
end

function BuffWarn_cfOut(str)
	DEFAULT_CHAT_FRAME:AddMessage("\124cffff8000<BuffWarn> \124cffffff00"..str);
end

function BuffWarn_Command(cmd)
   local cmds={ strsplit(" ",cmd) };

   if(cmds[1]=="remove") then
	local r=nil;
	for k=1,#BuffWarn_options do
	 if (BuffWarn_options[k][1]==cmds[2]) then BuffWarn_options[k]= {}; r=1; end
	end
		if (r) then 
			BuffWarn_cfOut(cmds[2].." was removed");
		else
			BuffWarn_cfOut("Could not find "..cmds[2]);
		end
   elseif(cmds[1]=="options") then
	BuffWarn_showGUIOption();
   elseif(cmds[1]=="test") then

   elseif(cmds[1]=="showcrit") then
	if(cmds[2]=="yes") then
		BuffWarn_crit="crit";
		BuffWarn_cfOut("Will now be shown as a crit in combat text");
	elseif(cmds[2]=="no") then
		BuffWarn_crit="";
		BuffWarn_cfOut("Will NOT be shown as a crit in combat text");
	elseif(BuffWarn_crit=="crit") then
		BuffWarn_crit="";
		BuffWarn_cfOut("Will NOT now be shown as a crit in combat text");
	else
		BuffWarn_crit="crit";
		BuffWarn_cfOut("Will now be shown as a crit in combat text");
	end
   elseif(cmds[1]=="annoy") then
	BuffWarn_bwtext=cmds[2];
	BuffWarn_cfOut("Annoying frame has been set to: "..BuffWarn_bwtext);
   elseif(cmds[1]=="delay") then
	BuffWarn_timerDelay=strtrim(cmds[2]);
	BuffWarn_cfOut("Delay has been set to: "..BuffWarn_timerDelay);
   elseif(cmds[1]=="keybind") then
	BuffWarn_keybind=cmds[2];
	BuffWarn_cfOut("Keybound set to: "..cmds[2]);
   elseif(cmds[1]=="tar") then
	BuffWarn_mTarget=strtrim(cmds[2]);
	BuffWarn_cfOut("Main Target has been set to: "..BuffWarn_mTarget);
   elseif(cmds[1]=="pause") then
	if(BuffWarn_pause=="off") then
	 BuffWarn_lastPauseWarn=GetTime();
	 BuffWarn_pause="on";
	 BuffWarn_cfOut("Paused");
	else
	 BuffWarn_lastPauseWarn=nil;
	 BuffWarn_pause="off";
	 BuffWarn_cfOut("Normal");
	end
   elseif(cmds[1]=="filter") then
	 BuffWarn_filter=cmds[2];
	 BuffWarn_cfOut("filter set to "..cmds[2]);
   elseif(cmds[1]=="filtershow") then
	 BuffWarn_cfOut("filter set to "..BuffWarn_filter);
   elseif(cmds[1]=="removeall") then
	BuffWarn_options={};
	BuffWarn_cfOut("List has been cleared!");
   elseif(cmds[1]=="help") then
	BuffWarn_cfOut("/bw help - what you just typed");
	BuffWarn_cfOut("/bw pause - stops or starts the buff warnings");
	BuffWarn_cfOut("/bw showcrit - display warnings as Critical strikes");
	BuffWarn_cfOut("/bw list - shows all buff's being watched");
	BuffWarn_cfOut("/bw keybind <key> - assigns a key press to the last buff warned (ex: SHIFT-W or ALT-P)");
	BuffWarn_cfOut("/bw delay <number> - sets the time between checking the buffs in seconds");
	BuffWarn_cfOut("/bw advanced - show advanced features");
	BuffWarn_cfOut("/bw tar <name> - sets your main target for friendly buff tracking");
	BuffWarn_cfOut("/bw removeall - removes all the buffs being watched");
	BuffWarn_cfOut("/bw remove <alias> - removes the buff being watched matching <alias>");
	BuffWarn_cfOut("/bw add - brings up a window for adding buff warnings");
	BuffWarn_cfOut("/bw edit <alias> - allows editing of buff warnings");
	BuffWarn_cfOut("/bw <alias>,<buff name>,<buff count>,<buff on/off>,<combat status>,<group status>[,optional friendly target tracking]");
   elseif(cmds[1]=="advanced") then
	if(cmds[2]=="name") then
		BuffWarn_cfOut("-= Advanced Name =-");
		BuffWarn_cfOut("Can be a buff's or aura name: 'Arcane Intellect'");
		BuffWarn_cfOut("Can be a be partially matched: 'Arcane*'");
		BuffWarn_cfOut("Can be a weapon enchant by adding '>' for main hand or '<' for off hand: '>Windfury 5' or '<Windfury 5'");
	elseif(cmds[2]=="count") then
		BuffWarn_cfOut("-= Advanced Count =-");
		BuffWarn_cfOut("If the buff stacks it can be the stack count: '5'");
		BuffWarn_cfOut("If the buff doesn't stack it should be '0'");
		BuffWarn_cfOut("Can be evaluated against the duration of the buff: '<' '>'");
		BuffWarn_cfOut("--'<20' less than 20 seconds left");
		BuffWarn_cfOut("--'>20' more than 20 seconds left");
		BuffWarn_cfOut("--'>20-<30' more than 20 seconds but less than 30 seconds left");
	elseif(cmds[2]=="alias") then
		BuffWarn_cfOut("-= Advanced Alias =-");
		BuffWarn_cfOut("Short name for the buff being watched, cannot contain spaces.");
	elseif(cmds[2]=="friend") then
		BuffWarn_cfOut("-= Advanced Friendly Target Tracking =-");
		BuffWarn_cfOut("Can be 1 to check your main target's buffs. (use /bw tar <friend>)");
		BuffWarn_cfOut("This is an optional field and should be omitted unless you want to track someone else.");
	elseif(cmds[2]=="onoff") then
		BuffWarn_cfOut("-= Advanced On/Off =-");
		BuffWarn_cfOut("Can be set to 'OFF' if you want the warning if the buff is off");
		BuffWarn_cfOut("Can be set to 'ON' if you want the warning if the buff is on");
	elseif(cmds[2]=="combat") then
		BuffWarn_cfOut("-= Advanced Combat =-");
		BuffWarn_cfOut("COMBAT - you must be in combat");
		BuffWarn_cfOut("NOCOMBAT - only if not in combat");
		BuffWarn_cfOut("ANY - regardless of situation");
		BuffWarn_cfOut("MOUNTED - are you mounted?");
		BuffWarn_cfOut("NOMOUNT - only if not mounted");
	elseif(cmds[2]=="group") then
		BuffWarn_cfOut("-= Advanced Group =-");
		BuffWarn_cfOut("RAID - only if in a raid");
		BuffWarn_cfOut("PARTY - only if in a party");
		BuffWarn_cfOut("ALONE - only if playing solo");
		BuffWarn_cfOut("ANY - trigger in any situation");
	else
		BuffWarn_cfOut("For specific info:");
		BuffWarn_cfOut("/bw advanced alias");
		BuffWarn_cfOut("/bw advanced name");
		BuffWarn_cfOut("/bw advanced count");
		BuffWarn_cfOut("/bw advanced onoff");
		BuffWarn_cfOut("/bw advanced combat");
		BuffWarn_cfOut("/bw advanced group");
		BuffWarn_cfOut("/bw advanced friend");
	end
   elseif(cmds[1]=="edit") then
	for k=1,#BuffWarn_options do
		local bAlias=BuffWarn_options[k][1];
			if(bAlias==cmds[2]) then 
				BuffWarn_cfOut("Entering edit mode, removing "..cmds[2]);
--				BuffWarn_setGUIValues(alias,buffname,count,combat,group,on,off,regular,mainhand,offhand);
				local a=nil;
				local b=nil;
					if(BuffWarn_options[k][4]=="ON") then a=1; else b=1; end
				local c=1;
				local d=nil;
				local e=nil;

					if(strsub(BuffWarn_options[k][2],1,1)==">") then c=nil; e=nil; d=1; BuffWarn_options[k][2]=strsub(BuffWarn_options[k][2],2); end
					if(strsub(BuffWarn_options[k][2],1,1)=="<") then c=nil; e=1; d=nil; BuffWarn_options[k][2]=strsub(BuffWarn_options[k][2],2); end
				local f=nil;
					if(strsub(BuffWarn_options[k][3],1,1)=="d") then f=1; BuffWarn_options[k][3]=strsub(BuffWarn_options[k][3],2); end
				BuffWarn_setGUIValues(BuffWarn_options[k][1],BuffWarn_options[k][2],BuffWarn_options[k][3],BuffWarn_options[k][5],BuffWarn_options[k][6],a,b,c,d,e,f);

				BuffWarn_Command("remove "..cmds[2]);
				BuffWarn_Main:Show();
				break;
			end
	end
   elseif(cmds[1]=="list") then
	local r=nil;
	local b=nil;
	 BuffWarn_cfOut("--== Buff List ==--");
	for k=1,#BuffWarn_options do
		local bAlias=BuffWarn_options[k][1];
			if(bAlias) then BuffWarn_cfOut(BuffWarn_options[k][1].." ("..BuffWarn_options[k][2]..")"); b=1; end
	end
	if(not b) then BuffWarn_cfOut("No Buff's are being watched"); end
   elseif(cmds[1]=="add") then
		BuffWarn_setGUIValues("","","0","","",1,nil,1,nil,nil);
		BuffWarn_Main:Show();
   else
	local i=#BuffWarn_options + 1;
	local g={ strsplit(",",cmd) };
	if (#g>=6) then
     BuffWarn_options[i]={};
		if(BuffWarn_aliasExists(string.gsub(strtrim(tostring(g[1]))," ",""))) then
			BuffWarn_cfOut(string.gsub(strtrim(tostring(g[1]))," ","").." already exists, renaming to "..string.gsub(strtrim(tostring(g[1]))," ","").."1");
			BuffWarn_options[i][1]=string.gsub(strtrim(tostring(g[1]))," ","").."1";
		else
		     BuffWarn_options[i][1]=string.gsub(strtrim(tostring(g[1]))," ","");
		end
     BuffWarn_options[i][2]=strtrim(tostring(g[2]));
     BuffWarn_options[i][3]=strtrim(tostring(g[3]));
     BuffWarn_options[i][4]=string.upper(strtrim(tostring(g[4])));
     BuffWarn_options[i][5]=string.upper(strtrim(tostring(g[5])));
     BuffWarn_options[i][6]=string.upper(strtrim(tostring(g[6])));
     if (#g==7) then BuffWarn_options[i][7]=strtrim(tostring(g[7])); end
     BuffWarn_cfOut(BuffWarn_options[i][1].." added!");
	else
	 BuffWarn_cfOut("Invalid Command. For more info please type /bw help");
	end
   end
end

function BuffWarn_aliasExists(alias)
	for k=1,#BuffWarn_options do
		if(BuffWarn_options[k][1]==alias) then 
			return 1;
		end
	end
	return nil;
end

-- pulled from ZOMGBuffs by Zek and edited to work with items with sockets 
	local tempTip, durMatch, encMatchHour, encMatchMin, encMatchSec;
	function GetCurrentItemEnchant(slot)
		local hasEnchant, Expiration, Charges = select(1 + (3 * (slot - 16)), GetWeaponEnchantInfo())
		if (hasEnchant) then
			local tipName = "BuffWarn_TempTip"
			-- See what enchant is, so we can make sure its the right one

			if (not tempTip) then
				tempTip = CreateFrame("GameTooltip", tipName, UIParent, "GameTooltipTemplate")
			end

			if (not durMatch) then
				-- ConvertGlobalString - Shamelessly pulled from Parser-3.0 (Zek)
				local function ConvertGlobalString(str, first)
					-- Escape lua magic chars.
					local pattern = str:gsub("([%(%)%.%*%+%-%[%]%?%^%$%%])", "%%%1")

					-- Convert %1$s to (..-) and %1$d to (%d+).
					-- We don't care about the capture order, it's always the same for these strings
					pattern = pattern:gsub("%%%%%d%%%$s", "(..-)")
					pattern = pattern:gsub("%%%%%d%%%$d", "(%%d+)")

					-- Convert %s to (..-) and %d to (%d+).
					pattern = pattern:gsub("%%%%s", "(..-)")
					pattern = pattern:gsub("%%%%d", "(%%d+)")

					if pattern:sub(-5) == "(..-)" then
						pattern = pattern:sub(1, -6) .. "(.+)"
					end

					return "^" .. pattern
				end

				durMatch = ConvertGlobalString(DURABILITY_TEMPLATE)
				encMatchHour = ConvertGlobalString(ITEM_ENCHANT_TIME_LEFT_HOURS)
				encMatchMin = ConvertGlobalString(ITEM_ENCHANT_TIME_LEFT_MIN)
				encMatchSec = ConvertGlobalString(ITEM_ENCHANT_TIME_LEFT_SEC)
			end

			tempTip:SetOwner(UIParent, "ANCHOR_NONE")
			local ok, cd = tempTip:SetInventoryItem("player", slot)
			if (ok and cd) then
				local left, prev
				for i = 1,200 do
					left = getglobal(format("%sTextLeft%d", tipName, i))
					if (not left) then
						break
					end
					left = left:GetText()
					if (not left) then
						break
					end
					if (strfind(left, " min)") or strfind(left, " sec)") or strfind(left, "hour)")) then
						break
					end
					prev = left
					left = nil
				end
				tempTip:Hide()
				if (left) then
					local spellFind, timeLeft = strmatch(left, encMatchHour)
					if (not spellFind) then
						spellFind, timeLeft = strmatch(left, encMatchMin)
						if (not spellFind) then
							spellFind, timeLeft = strmatch(left, encMatchSec)
						end
					end
					if (spellFind) then
						if (mismatchList) then
							for k,v in pairs(mismatchList) do
								spellFind = gsub(spellFind, k, v)
							end
						end

						return spellFind, Expiration / 1000 / 60
					end
				end
			end
			tempTip:Hide()
		end
	end